<style>
  .modal .form-group {
    margin-bottom: 0;
    padding-bottom: 0;
  }
</style>

<div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel"
     aria-hidden="true" data-focus="false" data-focus-mouse="false">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="p-3">
        <div class="row">
          <div class="col-lg-12 px-lg-4 py-lg-2">
            <h1 id="modalTitle"></h1>
            <p>{{ 'messages.mail_to_user' | trans }}
              <a href="mailto:{{ pratica.user.emailContatto }}">{{ pratica.user.emailContatto }}</a></p>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            {{ form_start(outcomeForm) }}
            <div class="d-none">{{ form_row(outcomeForm.outcome) }}</div>
            {{ form_row(outcomeForm.message) }}
            <small
              class="form-text text-muted mb-3">{{ 'operatori.flow.approva_o_rigetta.motivazione.esito_help' | trans }}</small>
            <div class="form-group">
              <label>{{ 'operatori.flow.approva_o_rigetta.motivazione.allega_label' | trans }}</label>
              {{ form_row(outcomeForm.attachments) }}
            </div>
            <div id="vueApp" class="px-2">
              {% if outcomeForm.vars.helper.vueApp %}
              <{{ outcomeForm.vars.helper.vueApp }} id="upload_outcome_attachment">
            </{{ outcomeForm.vars.helper.vueApp }}>
            {% endif %}
            <small
              class="form-text text-muted mb-3">{{ 'operatori.flow.approva_o_rigetta.motivazione.allega_help'| trans }}</small>
          </div>

          {% if not has_gateway_with_digital_stamps %}
            <div id="container-accordion-stamps" class="collapse-div mt-5">
              <div class="collapse-header" id="heading-stamps">
                <button data-toggle="collapse" data-target="#accordion-stamps" type="button" aria-expanded="{% if outcomeForm.stamps|length > 0 %}true{% endif %}" aria-controls="accordion-stamps">
                  {{ 'operatori.flow.approva_o_rigetta.bolli' | trans | raw }}
                </button>
              </div>
              <div id="accordion-stamps" class="collapse {% if outcomeForm.stamps|length > 0 %}show{% endif %}" role="region" aria-labelledby="heading-stamps" data-parent="#container-accordion-stamps">
                <div class="collapse-body p-2 bg-grey-card">
                  <div class="row pt-2">
                    <div class="col-8"><label class="required">{{ 'servizio.stamps.reason' | trans }}</label></div>
                    <div class="col-4"><label class="required">{{ 'servizio.stamps.amount' | trans }}</label></div>
                  </div>
                  <div id="current-stamps"
                      data-widget-stamp="{{ '<div class="js-stamp-item my-2"></div>'|e }}"
                      data-widget-counter="{{ outcomeForm.stamps|length }}">
                  {% if outcomeForm.stamps|length > 0 %}
                    {% for m in outcomeForm.stamps %}
                      <div class="js-stamp-item my-2">
                        <div class="row">
                          <div class="col-8">
                            {{ form_widget(m.reason, {'attr': {'class': 'form-control-sm'}}) }}
                          </div>
                          <div class="col-3">
                            {{ form_widget(m.amount, {'attr': {'class': 'form-control-sm'}}) }}
                          </div>
                          <div class="col-1">
                            <div class="form-group">
                              <a class="btn btn-sm btn-danger js-remove-stamp" href="#">
                                <i class="fa fa-trash-o fa-lg"></i>
                              </a>
                            </div>
                          </div>
                          <div class="d-none">
                            {{ form_widget(m.identifier) }}
                            {{ form_widget(m.phase) }}
                          </div>
                        </div>
                      </div>
                    {% endfor %}
                  {% else %}
                    <small id="no-stamps" class="d-block text-muted">
                      <i class="fa fa-info-circle"></i> {{ 'servizio.stamps.helper' | trans }}
                    </small>
                  {% endif %}
                  </div>
                  <div class="row mt-2">
                    <div class="col-12 mt-2">
                      <button type="button" id="add-stamp" class="btn btn-xs btn-outline-primary pull-right">{{ 'aggiungi' | trans }}</button>
                    </div>
                    <div class="col-12">
                      <small class="form-text text-muted mt-2">{{ 'operatori.flow.approva_o_rigetta.motivazione.stamp_amount_help' | trans | raw }}</small>
                    </div>

                  </div>

                </div>
              </div>
            </div>
          {% endif %}

          {% if outcomeForm.payment_amount is defined %}
          <div id="container-accordion-payment" class="collapse-div">
            <div class="collapse-header" id="heading-payment">
              <button data-toggle="collapse" data-target="#accordion-payment" type="button" aria-expanded="true" aria-controls="accordion-payment">
                {{ 'operatori.flow.approva_o_rigetta.importo_da_pagare' | trans | raw }}
              </button>
            </div>
            <div id="accordion-payment" class="collapse {% if outcomeForm.stamps is defined and outcomeForm.stamps|length > 0 %}show{% endif %}" role="region" aria-labelledby="heading-payment" data-parent="#container-accordion-payment">
              <div class="collapse-body p-2 bg-grey-card">
                {{ form_widget(outcomeForm.payment_amount) }}
                <small class="form-text text-muted my-3">{{ 'operatori.flow.approva_o_rigetta.motivazione.payment_amount_help' | trans | raw }}</small>
              </div>
            </div>
          </div>
          {% endif %}

          <div class="row justify-content-between mt-5">
            <div class="col-auto align-self-center">
              <strong>
                <svg class="icon icon-sm icon-warning">
                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-warning-circle"></use>
                </svg>
                {{ 'messages.warning_pratice' | trans }}
              </strong>
            </div>
            <div class="col-auto">
              <button type="submit" class="btn btn-sm btn-primary float-right">{{ 'messaggi.invia' | trans }}</button>
            </div>
          </div>
        </div>

        {{ form_rest(outcomeForm) }}
        {{ form_end(outcomeForm) }}
      </div>
    </div>
  </div>
</div>
</div>


<div class="modal fade" id="integration-request-modal" tabindex="-1" role="dialog"
     aria-labelledby="IntegrationRequestModal" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="p-4">
        <div class="row">
          <div class="col-lg-12 px-lg-4 py-lg-2">
            <h1>{{ 'operatori.inegrations_request' | trans }}</h1>
            <p>{{ 'messages.mail_to_user' | trans }} <a
                href="mailto:{{ pratica.user.emailContatto }}">{{ pratica.user.emailContatto }}</a></p>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-12 px-lg-4 py-lg-2">
            {{ form_start(integration_request_form) }}
            {{ form_row(integration_request_form.message) }}
            <small class="form-text text-muted mb-3">
              {{ 'operatori.send_request_integration_description' | trans | raw }}
            </small>
  {#
            <div id="add-attachment-collection-widget" class="mb-3">
              <div class="form-group mb-3 pb-0">
                <label class="p-0" for="#add-attachment-collection-widget">{{ 'operatori.messaggi.allega_label' | trans }}</label>
                <button type="button"
                        class="btn btn-sm btn-outline-primary">{{ 'pratica.carica_allegato' | trans }}</button>
                <input type="file" id="request_integration_load_attachment">
              </div>
              {{ form_row(integration_request_form.attachments) }}
              <small class="form-text text-muted mb-3">{{ 'operatori.messaggi.allega_help' | trans }}</small>
            </div>
  #}
            <div class="row justify-content-between mt-3">
              <div class="col-auto">
                <button type="submit"
                        class="btn btn-primary float-right">{{ 'operatori.send_request_integration' | trans }}</button>
              </div>
            </div>
            {{ form_rest(integration_request_form) }}

            {{ form_end(integration_request_form) }}
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<script type="text/html" id="stamp-item-template">
  <div class="row">
    <div class="col-8">
      <div class="form-group">
        <input type="text" id="stamps___name___reason" name="outcome[stamps][__name__][reason]"
               required="required"
               class="form-control reason"/>
        <input type="hidden" id="stamps___name___identifier" name="outcome[stamps][__name__][identifier]" class="form-control identifier"/>
        <input type="hidden" id="stamps___name___phase" name="outcome[stamps][__name__][phase]" value="{{ constant('App\\Model\\StampSettings::PHASE_RELEASE') }}" class="form-control"/>
      </div>
    </div>

    <div class="col-3">
      <div class="form-group">
        <div class="input-group">
          <input type="text" id="stamps___name___amount" name="outcome[stamps][__name__][amount]"
                 required="required" data-focus-mouse="false" class="form-control"/>
          <div class="input-group-append">
            <span class="input-group-text"> €</span>
          </div>
        </div>
      </div>
    </div>

    <div class="col-1">
      <div class="form-group">
        <a class="btn btn-sm btn-danger js-remove-stamp" href="#">
          <i class="fa fa-trash-o fa-lg"></i>
        </a>
      </div>
    </div>
  </div>
</script>

